<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_gravity="bottom"
    android:layout_width="match_parent"
    android:layout_height="40dp"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="horizontal">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/buttonPlayPause"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <com.mikhaellopez.circularprogressbar.CircularProgressBar
            android:id="@+id/progressLoad"
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:cpb_background_progressbar_color="#00000000"
            app:cpb_background_progressbar_width="0dp"
            app:cpb_progress="100"
            app:cpb_progress_direction="to_right"
            app:cpb_progressbar_color="@android:color/white"
            app:cpb_progressbar_width="2dp"
            app:cpb_round_border="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageButton
            android:id="@+id/exo_play"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="12dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            style="@style/ExoMediaButton.Play"
            app:srcCompat="@drawable/ic_mp_pause_video" />

        <ImageButton
            android:id="@+id/exo_pause"
            android:padding="12dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            style="@style/ExoMediaButton.Pause"
            app:srcCompat="@drawable/ic_mp_play_video" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_weight="1"
        android:orientation="vertical">

        <com.social.solutions.android.util_media_pager.utils.custom.progress.CustomProgressBar
            android:id="@+id/exo_progress"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"/>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TextView
                android:id="@+id/exo_position"
                android:layout_weight="1"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:paddingStart="16dp"
                android:text="01:32"
                android:textColor="@android:color/white"
                android:textSize="13sp" />

            <TextView
                android:id="@+id/exo_duration"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:paddingEnd="16dp"
                android:text="10:32"
                android:textColor="@android:color/white"
                android:textSize="13sp" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>